#!/bin/bash


source /home/lv70172/blaas/.bashrc
export SIMPLESYS=VSC2

PRIME_RUN_DIR=${HOME}/SIMPLE-TEST_60_admin_singlecore
ITERATION_START=1
ITERATION_STOP=50
VOL1=recvol_state1.spi
N_PROCESSES=16
N_THREADS=1
N_PROCESSES_PER_NODE=16
PRIME_ARGS="stk=particles_centred.spi box=60 smpd=7.56 dynlp=yes ring2=23 nthr=${N_THREADS}  oritab=rndoris.txt frac=0.9 > PRIME_OUT"
PRIME_CMD="${PRIME_RUN_DIR}/distr_simple_prime_vsc2.pl"
PRIME_ITERATION_STORAGE="$PRIME_RUN_DIR/iteration"


function get_current_iteration(){
        if [ ! -f "$PRIME_ITERATION_STORAGE" ]; then
                echo "found file $PRIME_ITERATION_STORAGE"
                CURRENT_ITERATION=$ITERATION_START
                echo ${CURRENT_ITERATION} > ${PRIME_ITERATION_STORAGE}
        else
                #CURRENT_ITERATION=$(echo `cat ${PRIME_ITERATION_STORAGE}` + 1 |bc)
                CURRENT_ITERATION=`cat ${PRIME_ITERATION_STORAGE}`
                #update iteration
        fi
}

function get_status(){
        RUNNING_JOBS=`ls JOB_RUNNING_* 2> /dev/null |wc -l`
        if [ $RUNNING_JOBS == 0 ] && [ ! -f "${PRIME_RUN_DIR}/JOB_FINISHED_1" ]; then
                SUBMIT="submit=1"
                #JOB_FINISHED seems not to be needed any more ..
                rm -f JOB_FINISHED_*
                #proceed to next iteration
                CURRENT_ITERATION=$(echo "$CURRENT_ITERATION + 1" | bc)
                echo ${CURRENT_ITERATION} > ${PRIME_ITERATION_STORAGE}
        else
                SUBMIT=""
        fi
}

cd $PRIME_RUN_DIR
get_current_iteration
get_status
CMD="${PRIME_CMD} ${PRIME_ARGS} vol1=${VOL1} npart=${N_PROCESSES} nprocs_per_node=${N_PROCESSES_PER_NODE}  startit=${CURRENT_ITERATION} maxits=${ITERATION_STOP} ${SUBMIT}"
echo $CMD
$CMD

